<table cellspacing="2" cellpadding="1" width="670" align="center" border="0">
  <tbody>
    <tr>
      <td height="74"> <span class="heading">PHPStat Counter 檢查目錄屬性</span>
        <hr align="left" size="1" width="100%"/>
        <form id="form1" name="form1" method="get" action="">
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="28%" rowspan="5"><table width="90%" height="200" border="0" cellpadding="5" cellspacing="3" style="border-right:2px solid #cccccc;">
                <tr>
                  <td>&nbsp;</td>
                </tr>
                <tr>
                  <td>1.檢查目錄屬性</td>
                </tr>
                <tr>
                  <td>2.檢查參數設置</td>
                </tr>
                <tr>
                  <td><span class="heading">3.安裝數據庫</span></td>
                </tr>
                <tr>
                  <td>4.安裝完成</td>
                </tr>
                <tr>
                  <td>&nbsp;</td>
                </tr>
              </table></td>
              <td></td>
            </tr>
            
            <tr>
              <td><? if($errors) {echo $errors;exit;}?></td>
            </tr>
            <tr>
              <td><? if($errors2) {echo $errors2;exit;}?></td>
            </tr>
            <tr>
              <td height="59">
		<?
		
		@mysql_select_db(DB_DATABASE,@mysql_connect(DB_HOSTNAME,DB_USERNAME,DB_PASSWORD));
		$memory_limit = @get_cfg_var("memory_limit");
		$memory_limit = substr($memory_limit,0,-1);
		
		if($memory_limit < 3)
		{
			echo "<br>現在開始檢查PHP.INI配置文件屬性設置<br>\n";
			echo "請將配置文件中的 '<FONT COLOR=\"#FF0000\">memory_limit</font>' 選項設置為 \" 3M  \" ，或者更多，以便安裝數據庫，即：memory_limit = 3M <br>強烈建議您修改此選項，否則影響您的安裝&nbsp;&nbsp;&nbsp;<A HREF=http://bbs.phpstat.net/read.php?tid=81 target=_blank>[點擊查看詳情]</A><br>\n";
			$error = true;
			fputs($fp,"\n######".date('Y-m-d H:s')." 請將PHP.INI配置文件中的 memory_limit 選項設置為 3M 即：memory_limit = 3M");
		}
		else
		{
		echo '<br>ip數據由於很大分別使用4個文件安裝,請耐心等待 ~_~ 大約需要幾分鐘 如果IP數據表出現錯誤請重新安裝';
		$d = dir("./install");
		while (false !== ($entry = $d->read()))
		{
			if ( ereg ("^structure_(.*)\.sql", $entry, $ret ) ) 
			{
				$structure[$ret[1]] = $entry;
			}
			else if( ereg ("^data_(.*)\.sql", $entry, $ret ) )
			{
				$data[$ret[1]] = $entry;
			}

		}
		$d->close();

		foreach( $structure as $key => $val )
		{			
			echo '<br>建立數據表 ' . $key . "  &nbsp;&nbsp;&nbsp;\n";
			$content = str_replace( 'PREFIX_' , DB_PREFIX, file_get_contents( './install/' . $val ) );
			mysql_query( $content );
			if(mysql_error())
			echo mysql_error();
			else
			echo "完成";
		}
		
		echo "<br>\n";		
		foreach( $data as $key => $val )
		{				
			echo '<br>插入數據 ' . $key . "<br>\n";
			$content = file( './install/' . $val );
			foreach( $content as $sql )
			{
				$sql = str_replace( 'PREFIX_' , DB_PREFIX, $sql );
				mysql_query( $sql );
			}
		}
		
		echo "<br>\n";
		echo "安裝數據庫的時候可能會出現一些錯誤提示,比如如果你是第二次安裝,會提示表已經存在的錯誤信息.如果你確定錯誤不影響安裝,那麼請點下一步!<br>\n";
		echo "<br><br><input name=\"Submit\" type=\"button\" class=\"button\" onclick=\"window.location='install.php?step=4'\" value=\"繼　續　安　裝\">";
		}

		?></td>
            </tr>
            <tr>
              <td height="59">&nbsp;</td>
            </tr>
          </table>
        </form>
        <p>&nbsp;</p></td>
    </tr>
    <tr>
      <td height="18">&nbsp;</td>
    </tr>
  </tbody>
</table>
